#### D.4.20.6 is_NP

Procedure from library `mregular.lib` (see mregular_lib).

Usage:
  is_NP (i); i ideal

Return:
  1 if K[x(n-d+1),...,x(n)] is a Noether normalization of S/i where S=K[x(0),...x(n)] is the basering, and d=dim(S/i), 0 otherwise.
  (returns -1 if i=(0) or i=(1)).

Assume:
  i is a nonzero proper homogeneous ideal.

Note:
  1. If i is not homogeneous and is_NP(i)=1 then K[x(n-d+1),...,x(n)] is a Noether normalization of S/i. The converse may be wrong if the ideal is not homogeneous.
  2. is_NP is used in the procedures regIdeal, depthIdeal, satiety, and NoetherPosition.

Example:

    LIB "mregular.lib";
    ring r=0,(x,y,z,t,u),dp;
    ideal i1=y,z,t,u; ideal i2=x,z,t,u; ideal i3=x,y,t,u; ideal i4=x,y,z,u;
    ideal i5=x,y,z,t; ideal i=intersect(i1,i2,i3,i4,i5);
    is_NP(i);
    ==> 0
    ideal ch=x,y,z,t,x+y+z+t+u;
    map phi=ch;
    is_NP(phi(i));
    ==> 1

User manual for Singular version 4.4.1, 2025, generated by texi2html.